Subject: New versions of IPR drafts

From: Harald Tveit Alvestrand <[email-masked]>
Date: Sun, 23 Mar 2008 22:39:20 +0100

Based on a review performed by our Area Director, and some subsequent 
discussion off-list, the editors have posted new versions of the following 
drafts:

draft-ietf-ipr-3978-incoming-08.txt
draft-ietf-ipr-outbound-rights-06.txt

The reviews are enclosed.

We hope that these documents are now Last Call-ready.

                        Harald Alvestrand

Subject: AD Review Comments: draft-ietf-ipr-3978-incoming-07
From: Russ Housley <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Wed, 05 Mar 2008 23:22:11 -0500

Please look for '>' in column one of the attachment.

Russ

Subject: AD Review Comments: draft-ietf-ipr-outbound-rights-05
From: Russ Housley <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 07 Mar 2008 19:16:54 -0500

Please look for '>' in column one of the attachment.

Russ

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg

---

From: "Frank Ellermann" <[email-masked]>
Date: Mon, 24 Mar 2008 15:01:41 +0100

Harald Tveit Alvestrand wrote:

=============================================
> draft-ietf-ipr-3978-incoming-08.txt

The ipr-3978-incoming-07 review suggests:
| The title page header must include:     
| Obsoletes: 3978 and 4748 (once approved)
| Updates: 2026 (once approved)           

Improved definition of "IETF documents":

: Internet-Drafts that are used in the IETF
: Standards Process as defined in 1(g).

When I submit a draft I don't know if it will
be used "as defined in 1(g)".  I also don't
know how to submit an Internet Draft designed
to be something else (independent or not-for-
RFC) apart from "informational", "historic",
"experimental", BCP, standard.

AFAIK the submit-tool is designed to work only 
under "note well" rules, no exceptions.  

If that's not more necessarily the case what
are xml2rfc + I-D submit tool expected to do,
for the "running code" side of this business ?

The modified 1(f) could mean that IAB + IESG
drafts are by definition no IETF documents,
because they are never for standards track,
or do I miss something here ?  

Ditto IRTF, it would be simpler to say that
all Internet Drafts follow "note well" rules,
in the same way as the 1(g) IETF documents.

I don't see where -08 addresses this comment:

| RFC Editor individual submissions are first
| I-Ds.  IAB and IRTF documents are first I-Ds.
| These are not part of the IETF Standards
| Process, so this definition is too narrow.        

The new "Changes" section is nice, but doesn't
mention the critical point in chapter 6 about
"additional copyright notices", for an example
see copyrt.h in RFC 4122.  Not only the IETF
had no problem to publish this "as is".  The
incoming draft would apparently forbid this :-(

=================================================
> draft-ietf-ipr-outbound-rights-06.txt

: Hence, the IETF has a strong interest in seeing
: accurate, interoperable implementations of the
: material the IETF publishes.  The IETF Trust
: grants rights to copy to people to make use of
: the text in the RFCs in order to encourage
: accurate and interoperable implementations.

That's one idea expressed more than once, please
trim it, proposal:

= Hence, the IETF has a strong interest in seeing
* implementations of the materiel it publishes.
= The IETF Trust
= grants rights to copy to people to make use of
= the text in the RFCs in order to encourage
= accurate and interoperable implementations.

The wording proposed by Russ also avoids to express
the same idea more than once in two sentences.

: While care has been taken the working group in
: developing this document, and care will be taken
: by the Trustees of the IETF Trust,

s/taken the/taken by the/ or "taken in the" (?)
The review suggests to drop the WG, that fixes it: 

| What WG?  At this stage should refeence to the WG
| be dropped?  

 Frank

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 24 Mar 2008 15:13:09 +0100

> Harald Tveit Alvestrand wrote:
At the moment, everyone else who makes I-Ds available under the tool 
seems to be fine with having the NOTE WELL apply. That doesn't mean we 
(the IPR WG of the IETF) should be making rules for them.

As long as the happy state applies that all the other publishers of RFCs 
and internet-drafts are OK with doing things "the IETF way", the tools 
don't need to do anything special. Let's burn that bridge when we come 
to it.
> | Process, so this definition is too narrow.   
Exactly in the other change you noted. This document doesn't make rules 
for them.
> incoming draft would apparently forbid this :-(
Yes, and most deliberately so. RFC 4122 must be modified if it is to be 
republished under the new rules.
Please refer to the document as published, not to Russ' suggested text, 
when suggesting further changes. I can't interpret this.

            Harald

---

From: "Frank Ellermann" <[email-masked]>
Date: Mon, 24 Mar 2008 15:49:25 +0100

[quotes rearranged, bottom]   
> Please refer to the document as published, not to Russ'
> suggested text, when suggesting further changes. I can't
> interpret this.

I used an ad-hoc quote notation:

  > you said
  | Russ said
  : the last draft says
  = my proposed text, same as :
  * my proposed text, diference

New attempt, the following (new) wording is odd:

Russ proposed to get rid of the WG, I proposed to
either add the missing "by" or "in" after "taken",
or to follow Russ' suggestion.

 [quotes rearranged, middle]
   
> Yes, and most deliberately so. RFC 4122 must be
> modified if it is to be republished under the new
> rules.

As far as I'm concerned it needs to fix its UUID v3
example, and I'm not sure why the same standard is
published in different SDOs, IMO it confuses change
control for no obvious reason, but that's of course
irrelevant here.

For the incoming IPR draft I miss this "additional
copyright notices" detail in the new chapter 6 with
all other important changes.

 [quotes rearranged, top]
> As long as the happy state applies that all the
> other publishers of RFCs and internet-drafts are
> OK with doing things "the IETF way", the tools 
> don't need to do anything special. Let's burn that
> bridge when we come to it.

A simpler way to prevent attacks on bridges is to
deny their existence, "note well everywhere" is KISS:
Internet Drafts, errata, articles, RFCs, everything.

It's a bit odd to leave a huge hole in 1(f) for other
drafts, when the same issue in conjunction with other
lists essentially resulted in "note well or die". 
 
 Frank

---

From: "TS Glassey" <[email-masked]>
Date: Mon, 24 Mar 2008 08:21:13 -0700

How is genesis in those offlist discussions captured in this process Harald? 
and since the answer is "it isnt" what do you plan to do to correct that so 
the entire vetting record is a part of the standards process.

Todd Glassey
----- Original Message ----- 
From: "Harald Tveit Alvestrand" <[email-masked]>
To: <[email-masked]>
Sent: Sunday, March 23, 2008 2:39 PM
Subject: New versions of IPR drafts

> We hope that these documents are now Last Call-ready.

--------------------------------------------------------------------------------

---

From: Russ Housley <[email-masked]>
Date: Mon, 24 Mar 2008 11:31:39 -0400

>the entire vetting record is a part of the standards process.

I sent my comments to the authors and WG Chair.  The off-line 
messages were clarification questions and "how to proceed" 
discussions.  None of them impact the text.

In hind sight, it would have been better to CC the whole IPR working 
group on my comments from the start.  They have been shared by Harald 
as agreed in the "how to proceed" discussion.

Russ

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 24 Mar 2008 11:43:11 -0400

> or to follow Russ' suggestion.

I will save this (adding by) for the list of editorial fixes (to be 
applied whenever the draft is revved, or by the RFC Editor.
Joel
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg

---

From: "TS Glassey" <[email-masked]>
Date: Mon, 24 Mar 2008 10:32:32 -0700

Russ
----- Original Message ----- 
From: "Russ Housley" <[email-masked]>
To: "TS Glassey" <[email-masked]>; "Harald Tveit Alvestrand" 
<[email-masked]>; <[email-masked]>
Sent: Monday, March 24, 2008 8:31 AM
Subject: Re: New versions of IPR drafts

> I sent my comments to the authors and WG Chair.  The off-line messages 
> were clarification questions and "how to proceed" discussions.  None of 
> them impact the text.

How would we know that? - Because a single person said so? That's the 
problem we have here.

>
> In hind sight, it would have been better to CC the whole IPR working group 
> on my comments from the start.  They have been shared by Harald as agreed 
> in the "how to proceed" discussion.

But that's the point, Harald's demeaner and his willingness to allow people 
to participate in the executive side of things are the issue.  The fact that 
as the Chair, that the management of the IETF is apologizing yet again for a 
screw-up so obvious means we have even bigger problems with 'many processes 
which were exposed to this clandestine operations of the IETF, ones which 
were withheld from the other investor's in the process, those contributor's 
who pay for the operations of the WG's and the participation of the 
engineering staff who's expensive and supposedly competent hours, are being 
donated to the IETF.

What you have here is YET ANOTHER instance where the IETF failed to properly 
disclose what it was up to and eliminated other voices from that process.

Sorry, but you folks want to be "the one and only" standards genesis and 
promulgation entity for TCP/IP and 'the Internet' then you need to be 
accountable for that, both personally and professionally. Especially to 
those who make a part of their professional living from the operations of 
the Internet and off the contributions of those others who are so inclined 
to participate.

Bluntly - the withholding of content constitutes an act of fraud I believe 
here.

Todd Glassey

---

From: Russ Housley <[email-masked]>
Date: Mon, 24 Mar 2008 14:00:21 -0400

Todd:

>How would we know that? - Because a single person said so? That's 
>the problem we have here.

No.  As I said, the WG Chair and the document authors all received 
the comments generated by my Area Director review.  If they were 
being misrepresented to the mail list, one or more of the people 
would speak up.

Russ

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 24 Mar 2008 14:28:09 -0400

Also, anyone who wants can easily determine exactly what changed. 
Several sources provide older versions of drafts.  The IETF tools site 
includes an I-D (and RFC) comparison tool which provides intelligent 
diffs.

Yours,
Joel M. Halpern

---

From: "TS Glassey" <[email-masked]>
Date: Mon, 24 Mar 2008 11:34:35 -0700

Ahahahahah - God I haven't laughed that hard in a while - thanks. Responses 
below inline.

Todd Glassey

----- Original Message ----- 
From: "Russ Housley" <[email-masked]>
To: "TS Glassey" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, March 24, 2008 11:00 AM
Subject: Re: New versions of IPR drafts

> No.  As I said, the WG Chair and the document authors all received the 
> comments generated by my Area Director review.

Which eliminated those providing hourly-genesis and review of the document's 
from participating in that same process, meaning by this signular act, you 
as the IETF chair made this process a 'private' one between you and the IPR 
core team member's, those same member's who are working with others in the 
IETF to create what I refer to as "this garbage process" which has no 
accounability.

What is it about being accountable for the frauds going on here that you 
folks dont get? No Star Chamber type proceding's where one needs to be a 
member of the 'accepted in-crowd' in order to practice in this arena.

By the way - by comparison, the Star Chamber was abolished in mid 1600's 
after being in place for about 150 years.

> If they were being misrepresented to the mail list, one or more of the 
> people would speak up.

Its not that they were misrepresented - its that you setup your little "Star 
Chamber" which defauds the other participants herein. And in doing so you 
also tained the management hierarchy of the IETF as well.

---

From: "TS Glassey" <[email-masked]>
Date: Mon, 24 Mar 2008 11:38:42 -0700

OK
----- Original Message ----- 
From: "Joel M. Halpern" <[email-masked]>
To: <[email-masked]>
Sent: Monday, March 24, 2008 11:28 AM
Subject: Re: New versions of IPR drafts

> Several sources provide older versions of drafts.

So then you are saying that it is the other participants who were not 
included in those conversation's responsibility to look up those changes and 
track them. So that means that people who are sponsored must now spend their 
sponsor's money's to stay up to date with the covert and out-of-band changes 
that come into the Standards Process they are working on?

Oh, I forgot - its the IETF's operating process we are working on here. So 
that means that this is an effort to make it harder for others to 
participate outside the core member's of this WG who were allowed by the WG 
Chair to submit drafts before this WG...

This gets better every time we try it.

Todd

> The IETF tools site

Ahahahaha... Funny.

---

From: "Frank Ellermann" <[email-masked]>
Date: Mon, 24 Mar 2008 20:14:48 +0100

Joel M. Halpern wrote:

> anyone who wants can easily determine exactly what changed.

Indeed, I could even determine what was NOT changed.  Besides
RFC 4858 is no rocket science, the I-D just left section 3.2
of RFC 4858, now it is in IETF Last Call, before section 3.3:

https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=15855

 Frank

---

From: Russ Housley <[email-masked]>
Date: Mon, 24 Mar 2008 15:15:31 -0400

>that come into the Standards Process they are working on?

This is crap!  Stop it!

The message posted by Harald shows every place in the document that 
received a comment as part of AD Review.  You do not need to search 
for changes.  They have already been highlighted.

The General Area Director, the IPR WG Chair, and the document authors 
acted as an ad hoc design team for the initial handling of the Area 
Director Review comments.  This is very normal process, and it is 
well with in the guidelines described in RFC 2418:

    6.5. Design teams

    It is often useful, and perhaps inevitable, for a sub-group of a
    working group to develop a proposal to solve a particular problem.
    Such a sub-group is called a design team.  In order for a design team
    to remain small and agile, it is acceptable to have closed membership
    and private meetings.  Design teams may range from an informal chat
    between people in a hallway to a formal set of expert volunteers that
    the WG chair or AD appoints to attack a controversial problem.  The
    output of a design team is always subject to approval, rejection or
    modification by the WG as a whole.

The output of the ad hoc design team is now being discussed on the 
IPR WG mail list, as it should be.

Let's return to that discussion.  I'm finished with this topic.

Russ

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 25 Mar 2008 11:43:56 +1300

> Frank Ellermann skrev:

...
> don't need to do anything special. Let's burn that bridge when we come 

Indeed. The Note Well text and the way the tools work are
practical consequences of the current BCPs. Once we have
new BCPs in place, no doubt the I-committees will ensure
that the Note Well text and (if necessary) the tools are
updated if necessary.

fwiw, I checked the diffs in the latest drafts and think
they are just fine.

   Brian